=== plugins/textediting/autocorrection/data/CMakeLists.txt ===

add_subdirectory(af_ZA)
add_subdirectory(bg_BG)
add_subdirectory(ca_ES)
add_subdirectory(cs_CZ)
add_subdirectory(da_DK)
add_subdirectory(de)
add_subdirectory(dsb)
add_subdirectory(el_GR)
add_subdirectory(en_AU)
add_subdirectory(en_GB)
add_subdirectory(en_US)
add_subdirectory(en_ZA)
add_subdirectory(fa_IR)
add_subdirectory(fi_FI)
add_subdirectory(ga_IE)
add_subdirectory(hr_HR)
add_subdirectory(hsb)
add_subdirectory(hu_HU)
add_subdirectory(is_IS)
add_subdirectory(it)
add_subdirectory(ja_JP)
add_subdirectory(ko_KR)
add_subdirectory(lb_LU)
add_subdirectory(lt_LT)
add_subdirectory(mn_MN)
add_subdirectory(nb)
add_subdirectory(nl_BE)
add_subdirectory(nl_NL)
add_subdirectory(nn)
add_subdirectory(pl_PL)
add_subdirectory(pt_BR)
add_subdirectory(pt_PT)
add_subdirectory(ro_RO)
add_subdirectory(ru_RU)
add_subdirectory(sk_SK)
add_subdirectory(sl_SI)
add_subdirectory(sr_CS)
add_subdirectory(sr_Latn_CS)
add_subdirectory(sr_Latn_ME)
add_subdirectory(sr_Latn_RS)
add_subdirectory(sr_ME)
add_subdirectory(sr_RS)
add_subdirectory(sv_SE)
add_subdirectory(tr_TR)
add_subdirectory(vi_VN)
add_subdirectory(vro_EE)
add_subdirectory(zh_CN)
add_subdirectory(zh_TW)
