=== plugins/textediting/autocorrection/data/nl_BE/CMakeLists.txt ===
install(FILES nl_BE.xml DESTINATION ${KDE_INSTALL_DATADIR}/calligra/autocorrect)
