=== plugins/textediting/autocorrection/data/sr_RS/CMakeLists.txt ===
install(FILES sr_RS.xml DESTINATION ${KDE_INSTALL_DATADIR}/calligra/autocorrect)
