=== debian/changelog ===
calligra (1:24.12.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the patches:
    - upstream_appstream-fix-launchable-s-of-Sheets-and-Stage.patch: drop,
      backported from upstream
    - upstream_Ignore-calligra.desktop-for-AppStream.patch: drop, backported
      from upstream
    - upstream_sheets-fix-conflict-of-Value-int-and-Value-qsizetype.patch:
      drop, backported from upstream

 -- Pino Toscano <pino@debian.org>  Fri, 07 Mar 2025 07:27:11 +0100
