## calligra 25.04.0+dfsg

=== sheets/data/templates/CMakeLists.txt ===


add_subdirectory( General )
add_subdirectory( Business )
add_subdirectory( HomeFamily )
