=== debian/changelog ===
calligra (1:25.04.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 21:07:56 +0200
