## calligra 25.04.1+dfsg

=== debian/changelog ===
calligra (1:25.04.1+dfsg-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 06:27:32 +0100
