=== debian/control ===
--- 
+++ 
@@ -51,7 +51,7 @@
                libwpd-dev (>= 0.10),
                libwpg-dev (>= 0.3),
                libwps-dev (>= 0.4),
-               okular-dev (>= 4:24.04.0~),
+               okular-dev (>= 4:25.04.1~),
                pkg-kde-tools (>= 0.15.16),
                pkgconf,
                pstoedit,
@@ -63,8 +63,8 @@
                zlib1g-dev,
 Standards-Version: 4.7.2
 Homepage: https://www.calligra.org/
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligra.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligra
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/calligra.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/calligra
 Rules-Requires-Root: no
 
 Package: calligra
